<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"] ?: array()) + array("_b93155ab570822d94f80f2b4" . "9acbdcde" => base64_decode("dXJsZGVjb2" . "Rl"), "_4c510e5adc73" . "68560eb3dd6ed" . "429e5c5" => base64_decode("Li4vY29tbW9uL3Byb2Nlc3NfcmVzcG9u" . "c2UucGhw"), "ti" . "tl" . "e" => base64_decode("dGl" . "0bG" . "U="), "_fe2579cea630be3ef73ecaa47a26a59" . "f" => base64_decode("cGVvcGxlLm15X2luZm9iYXIuYm9va21hcmtfYWRk" . "ZWQ="), "mes" . "sag" . "e" => base64_decode("bWVzc2" . "FnZQ=="), "ur" . "l" => base64_decode("dXJ" . "s"), "_a62d761f3e831ff9d9da39" . "f9c26ecddc" => base64_decode("Li4vY29tbW9uL2Nvcm" . "UucGhw"), "_0c5123aa744f69b" . "bc0e8b3ea2f6e847" . "d" => base64_decode("bG1zZ" . "w=="));
use Claromentis\Core\Http\gpc;
use Claromentis\Design\Facade\ActiveTheme;
use Claromentis\Design\Style\Option;
require_once $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_a62d761f3" . "e831ff9d9d" . "a39f9c26ec" . "ddc"];
global $g_application, $g_response;
$request = $g_application->request;
try {
    gpc::CheckToken($request);
    $url = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_b93155ab57" . "0822d94f80f" . "2b49acbdcde"](gpc::get($request, $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["ur" . "l"]));
    $title = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_b93155ab570822d94f" . "80f2b49acbdcde"](gpc::get($request, $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["titl" . "e"]));
    $user_id = $g_application->security->GetUserId();
    $links_list = new InfobarPersonalLinksList($user_id);
    $link = new InfobarPersonalLink();
    $link->user_id = $user_id;
    $link->title = $title;
    $link->link = $url;
    $link->new_window = false;
    $link->display_order = $links_list->GetLastDisplayOrder() + 1;
    $links_list->AddLink($link, $link->display_order);
    $msg = $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_0c5123aa744f69bbc0e8b3ea" . "2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_fe2579cea630be3e" . "f73ecaa47a26a59f"]);
    $status = 200;
} catch (Exception $e) {
    $msg = $e->getMessage();
    $status = 500;
}
$response_array = [$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["messag" . "e"] => $msg];
$g_response = new \Claromentis\Core\Http\JsonPrettyResponse($response_array, $status);
require_once $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_4c510e5adc7368560eb3dd6ed429" . "e5c5"];